#ifndef __KYLIN_AI_GEN_AI_TEXT_CONFIG_H__
#define __KYLIN_AI_GEN_AI_TEXT_CONFIG_H__

#include "kylin-ai/common/enums.h"

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _ChatModelConfig ChatModelConfig;
ChatModelConfig *chat_model_config_create();
void chat_model_config_destroy(ChatModelConfig **config);

void chat_model_config_set_name(ChatModelConfig *config, const char *name);
void chat_model_config_set_top_k(ChatModelConfig *config, double top_k);
void chat_model_config_set_deploy_type(ChatModelConfig *config,
                                       ModelDeployType type);

#ifdef __cplusplus
}
#endif

#endif  // __KYLIN_AI_GEN_AI_TEXT_CONFIG_H__
